import LabeledInput from '@/components/labeled-input';
import { Button } from '@/components/ui/button';

export default function LoginForm() {
  return (
    <form className='flex flex-col gap-5 w-full' data-cy='login-form'>
      <LabeledInput
        type='email'
        label='E-Mail'
        placeholder='Enter your E-Mail'
        data-cy='email-input'
      />
      <LabeledInput
        type='password'
        label='Password'
        placeholder='Enter your Password'
        data-cy='password-input'
      />
      <Button
        className='hover:bg-blue-600 hover:text-white'
        type='submit'
        variant='secondary'
        data-cy='login-button'
      >
        Login
      </Button>
    </form>
  );
}
